OCAMLDOT(1)

NAME
ocamldot - generate dependency graphs of ocaml programs

SYNOPSIS
ocamldot [options] <dependency-file>

DESCRIPTION
This manual page documents briefly the ocamldot command.

ocamldot generates program dependency graphs for ocaml programs. The dependency graph output by ocamldot can be rendered by a separate program, dot.

Ocamldot is designed to process the output of ocamldep. A typical use would be

    ocamldep *.ml | ocamldot > dep.dot

or

    ocamldep *.ml > .depend
    ocamldot .depend > dep.dot

OPTIONS

-fullgraph
    Draw the full graph (default is to draw only the kernel)

-landscape
    Output in landscape format (default is portrait)

-lr Draw graph from left to right (default is top to bottom)

-r <r>
    Use <r> as a root in the graph; nodes reachable from <r> will be shown.

The transitive kernel of a dag is the smallest subset of the dag whose transitive closure is the same as the transitive closure of the dag. For example, the kernel of A->B, A->C, B->C is just the two edges A->B, B->C.

SEE ALSO
ocamldep(1), dot(1)

http://www.research.att.com/~trevor/ocamldot.

AUTHOR
Trevor Jim <trevor@research.att.com>